Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface PortComponentType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  PortComponentTypeImpl

    public interface PortComponentType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `port-componentType` xsd type

Original Documentation:

The port-component element specifies a mapping from a webservice
port-component whose service-impl-bean/ejb-link value maps to an ejb.
Used in: session

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getAuthMethod()` Returns the `auth-method` element
`java.lang.String` | `getPortComponentName()` Returns the `port-component-name` element
`java.lang.String` | `getPortComponentUri()` Returns the `port-component-uri` element
`java.lang.String` | `getTransportGuarantee()` Returns the `transport-guarantee` element
`java.lang.Boolean` | `isSecureWsdlAccess()` Returns the `secure-wsdl-access` element
`PortComponentType<T>` | `removeAuthMethod()` Removes the `auth-method` element
`PortComponentType<T>` | `removePortComponentName()` Removes the `port-component-name` element
`PortComponentType<T>` | `removePortComponentUri()` Removes the `port-component-uri` element
`PortComponentType<T>` | `removeSecureWsdlAccess()` Removes the `secure-wsdl-access` element
`PortComponentType<T>` | `removeTransportGuarantee()` Removes the `transport-guarantee` element
`PortComponentType<T>` | `setAuthMethod(java.lang.String authMethod)` If not already created, a new `auth-method` element with the given value will be created.
`PortComponentType<T>` | `setPortComponentName(java.lang.String portComponentName)` If not already created, a new `port-component-name` element with the given value will be created.
`PortComponentType<T>` | `setPortComponentUri(java.lang.String portComponentUri)` If not already created, a new `port-component-uri` element with the given value will be created.
`PortComponentType<T>` | `setSecureWsdlAccess(java.lang.Boolean secureWsdlAccess)` If not already created, a new `secure-wsdl-access` element with the given value will be created.
`PortComponentType<T>` | `setTransportGuarantee(java.lang.String transportGuarantee)` If not already created, a new `transport-guarantee` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setPortComponentName

    PortComponentType<T> setPortComponentName(java.lang.String portComponentName)

  If not already created, a new `port-component-name` element with the given value will be created. Otherwise, the existing `port-component-name` element will be updated with the given value.

  Returns:
    the current instance of `PortComponentType`

### removePortComponentName

    PortComponentType<T> removePortComponentName()

  Removes the `port-component-name` element

  Returns:
    the current instance of `PortComponentType`

### getPortComponentName

    java.lang.String getPortComponentName()

  Returns the `port-component-name` element

  Returns:
    the node defined for the element `port-component-name`

### setPortComponentUri

    PortComponentType<T> setPortComponentUri(java.lang.String portComponentUri)

  If not already created, a new `port-component-uri` element with the given value will be created. Otherwise, the existing `port-component-uri` element will be updated with the given value.

  Returns:
    the current instance of `PortComponentType`

### removePortComponentUri

    PortComponentType<T> removePortComponentUri()

  Removes the `port-component-uri` element

  Returns:
    the current instance of `PortComponentType`

### getPortComponentUri

    java.lang.String getPortComponentUri()

  Returns the `port-component-uri` element

  Returns:
    the node defined for the element `port-component-uri`

### setAuthMethod

    PortComponentType<T> setAuthMethod(java.lang.String authMethod)

  If not already created, a new `auth-method` element with the given value will be created. Otherwise, the existing `auth-method` element will be updated with the given value.

  Returns:
    the current instance of `PortComponentType`

### removeAuthMethod

    PortComponentType<T> removeAuthMethod()

  Removes the `auth-method` element

  Returns:
    the current instance of `PortComponentType`

### getAuthMethod

    java.lang.String getAuthMethod()

  Returns the `auth-method` element

  Returns:
    the node defined for the element `auth-method`

### setTransportGuarantee

    PortComponentType<T> setTransportGuarantee(java.lang.String transportGuarantee)

  If not already created, a new `transport-guarantee` element with the given value will be created. Otherwise, the existing `transport-guarantee` element will be updated with the given value.

  Returns:
    the current instance of `PortComponentType`

### removeTransportGuarantee

    PortComponentType<T> removeTransportGuarantee()

  Removes the `transport-guarantee` element

  Returns:
    the current instance of `PortComponentType`

### getTransportGuarantee

    java.lang.String getTransportGuarantee()

  Returns the `transport-guarantee` element

  Returns:
    the node defined for the element `transport-guarantee`

### setSecureWsdlAccess

    PortComponentType<T> setSecureWsdlAccess(java.lang.Boolean secureWsdlAccess)

  If not already created, a new `secure-wsdl-access` element with the given value will be created. Otherwise, the existing `secure-wsdl-access` element will be updated with the given value.

  Returns:
    the current instance of `PortComponentType`

### removeSecureWsdlAccess

    PortComponentType<T> removeSecureWsdlAccess()

  Removes the `secure-wsdl-access` element

  Returns:
    the current instance of `PortComponentType`

### isSecureWsdlAccess

    java.lang.Boolean isSecureWsdlAccess()

  Returns the `secure-wsdl-access` element

  Returns:
    the node defined for the element `secure-wsdl-access`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD